# Uses of Class
javajs.util.V3d

Packages that use V3d
Package
Description
javajs.util
org.jmol.minimize

## Uses of V3d in javajs.util

Methods in javajs.util with parameters of type V3d
Modifier and Type
Method
Description
`final double`
V3d.`angle(V3d v1)`
`final void`
V3d.`cross(V3d v1, V3d v2)`
Sets this vector to be the vector cross product of vectors v1 and v2.
`final double`
V3d.`dot(V3d v)`
Computes the dot product of the this vector and vector v.

## Uses of V3d in org.jmol.minimize

Methods in org.jmol.minimize with parameters of type V3d
Modifier and Type
Method
Description
`static boolean`
Util.`canBeNormalized(V3d a)`
`static double`
Util.`distance2V(V3d a, V3d b)`
`static double`
Util.`getTorsionAngleRadians(double[] a, double[] b, double[] c, double[] d, V3d r1, V3d r2, V3d r3)`
`static boolean`
Util.`isApprox(V3d a, V3d b, double precision)`
`static double`
Util.`pointPlaneAngleRadians(V3d a, V3d b, V3d c, V3d d, V3d v1, V3d v2, V3d norm, boolean fixTheta)`
calculates angle of a to plane bcd, returning a value > pi/2 in highly distorted trigonal pyramidal situations
`static void`
Util.`putCoord(V3d v, double[] c)`
`static double`
Util.`restorativeForceAndAngleRadians(V3d i, V3d j, V3d k)`
`static double`
Util.`restorativeForceAndDistance(V3d a, V3d b, V3d vab)`
`static double`
Util.`restorativeForceAndOutOfPlaneAngleRadians(V3d i, V3d j, V3d k, V3d l, V3d an, V3d bn, V3d cn)`
`static double`
Util.`restorativeForceAndTorsionAngleRadians(V3d i, V3d j, V3d k, V3d l)`
`static void`
Util.`sub(double[] a, double[] b, V3d result)`